기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Vivox Core SDK

Vivox Core SDK

이 페이지는 선택한 언어로 제공되지 않습니다.
Vivox
​
​
Vivox Core SDK
  • Overview
  • Before you begin
  • Get started
  • Release notes
  • Developer Guide
    • Client SDK basics
    • Channels
      • Channel name criteria
      • Channel types
      • Echo channels
      • Positional channels
      • Volume differences
      • Channel identifiers for large scale games
      • Participant events
      • Channel webhooks
      • Join a channel
      • Leave a channel
      • Kick a user from a channel
      • Manage session groups
      • Audio injection
      • Methods for setting audio levels
      • Derumbler
      • Automatic connection recovery
    • Presence management
    • Messaging
    • Manage audio
    • Couch co-op
    • Android app development
    • iOS app development
    • macOS app development
    • Windows app development
    • Real-time recording
    • Speech-to-text audio transcription
    • Text-to-speech
    • Troubleshooting
  • Reference
  • Privacy overview
  1. Vivox Core SDK documentation

Channel webhooks

Learn how to set up Vivox channel webhooks for monitoring.
읽는 시간 3분
최근 업데이트: 7달 전

Set up channel webhooks to monitor when Vivox channels go active or inactive.
참고
Channel webhooks are an enterprise-only feature. To enable this feature, contact a Vivox representative.

Create channel webhooks

Follow these steps to set up a new webhook:
  1. Navigate to the Vivox Events section of the Unity Dashboard.
  2. Add your endpoint and secret key.
  3. Select Active Channels as the event type.
When events occur, Vivox sends webhook requests to your endpoint with an X-Unity-Signature header containing an HMAC-SHA256 signature of the request body. To verify that the webhook is authentic, compute the HMAC-SHA256 of the request body using your secret key and compare it to the value in the X-Unity-Signature header.

Webhook notifications

After setup, webhook notifications are sent when Vivox channels become active or go inactive. The notifications are sent to the endpoint as POST requests with the following request body:
{ "channel_uri": "sip:confctl-g-issuer.channel_name.unity_env_id@domain.vivox.com", "action": "activated", "timestamp": "2024-01-29T15:45:30Z", "issuer": "some-issuer", "project_id": "unity-project-id"}
참고
The possible action types are
activated
and
deactivated
.
Store the
channel_uri
and timestamp in the service that handles these webhooks. Webhook events are sent through a pub/sub that doesn't guarantee message order. When receiving a notification, have the service check if the activated/deactivated timestamp is greater than the last updated timestamp before activating or deactivating the channel to be sure it has the most up to date information.

Active channels resync endpoint

The channel webhooks resync endpoint triggers a resync of all active channels. When this endpoint is called for a Unity project, the Vivox server pushes webhook notifications for every active channel that maps to the project, including each channel’s originally created timestamp. This endpoint has a rate limit of 1 request per minute by IP.
It's recommended to only use this endpoint when a resync is necessary because it will push a high volume of events to the webhook endpoint provided by the user.

Authentication

The channel webhooks resync endpoint uses Unity service accounts for authentication. The required service account role for this API is
Multiplayer/Vivox Channel Admin
.

Webhook breakdown

POST

Uses the base URL of
https://vivox.services.api.unity.com
/channel/v1/organizations/{organizationId}/projects/{projectId}/webhooks/trigger-resync

Path parameters

The webhook uses the following parameters:
  • organizationId
    : the ID of the Unity organization.
  • projectId
    : the ID of the Unity project.

Sample call

curl --location --request POST 'https://vivox.services.api.unity.com/channel/v1/organizations/:organizationId/projects/:projectId/webhooks/trigger-resync' --user <unity-service-account-key-id>:<unity-service-account-secret-key>'

Output

The following output responses are available:
  • 202: Accepted
{ "msg": "success"}
  • 401
    • Error response. This error is raised in the following scenarios:
      • Invalid service account.
  • 403
    • Error response. This error is raised in the following scenarios:
      • Service account missing permissions.
      • The organization does not have access to the project.
  • 404: Not found
    • Error response. This error is raised in the following scenarios:
      • ProjectID not found
  • 500
    • Error response. A server error was encountered while processing the request.

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.

  • 보고 있는 페이지
    • Create channel webhooks

    • Webhook notifications

    • Active channels resync endpoint

    • Authentication

    • Webhook breakdown

      • POST

      • Path parameters

      • Sample call

      • Output


이 페이지의 문제 보고